%define name emerald
%define version 0.7.2
%define rel 2
%define git 0

%define major 0
%define libname %mklibname %{name} %major
%define libname_devel %mklibname -d %{name}

%if  %{git}
%define srcname %{name}-%{git}
%define distname %{name}
%define release %mkrel 0.%{git}.%{rel}
%else
%define srcname %{name}-%{version}
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif

Name: %name
Version: %version
Release: %release
Summary: Window decorator for Compiz
Group: System/X11
URL: http://www.compiz-fusion.org/
Source: %{srcname}.tar.bz2
Patch0: 0001-Workaroung-for-unrefd-pixmap.patch
Patch1: 0002-Extended-pixmap-sanity-checks-to-honor-ref_count.patch
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: compiz-devel
BuildRequires: apr-devel
BuildRequires: apr-util-devel
BuildRequires: subversion-devel
BuildRequires: neon-devel
BuildRequires: intltool
BuildRequires: gtk2-devel
BuildRequires: libwnck-devel
BuildRequires: pango-devel
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

Requires: compiz
Requires: emerald-themes
Provides: compiz-decorator

%description
Themable window decorator for the Compiz window manager/compositor

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

#----------------------------------------------------------------------------

%package -n %libname
Summary: Library files for %{name}
Group: System/X11
Requires: %{name} = %{version}
Provides: %libname = %version

%description -n %libname
Library files for %{name}

# Don't put a spacer comment below as it breaks things :/
%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig



%package -n %libname_devel
Summary: Development files from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}
Provides: %{name}-devel = %{version}
Obsoletes: %{name}-devel
Obsoletes: %mklibname -d %name 0
Obsoletes: cgwd-devel

%description -n %libname_devel
Headers files for %{name}

#----------------------------------------------------------------------------

%prep
%setup -q -n %{distname}

%build
%if %{git}
  # This is a GIT snapshot, so we need to generate makefiles.
  sh autogen.sh -V
%endif
%configure2_5x \
                --disable-mime-update \
                --with-apr-config=apr-1-config \
                --with-apu-config=apu-1-config \
                --with-svn-lib=%_libdir

%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

sed -i 's/Exec=emerald-theme-manager -i//' %{buildroot}%{_datadir}/applications/emerald-theme-manager.desktop
sed -i 's/^\( \)*$//' %{buildroot}%{_datadir}/applications/emerald-theme-manager.desktop

desktop-file-install \
  --vendor="" \
  --add-category="GTK" \
  --add-category="DesktopSettings" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}%{_datadir}/mimelnk/application
cat >%{buildroot}%{_datadir}/mimelnk/application/x-%{name}-theme.desktop <<EOF
[Desktop Entry]
Type=MimeType
Comment=Emerald Theme
MimeType=application/x-emerald-theme
Patterns=*.emerald
EOF

%clean
rm -rf %{buildroot}

#----------------------------------------------------------------------------

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS  ChangeLog README COPYING 
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/mime-info/%{name}.mime
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mimelnk/application/x-%{name}-theme.desktop
%{_datadir}/pixmaps/%{name}*.png
%{_datadir}/icons/hicolor/48x48/mimetypes/*.png
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}*.1*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib%{name}engine.so.*
%{_libdir}/%{name}/engines/*.so

%files -n %libname_devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}engine.pc
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/lib%{name}engine.so
%{_libdir}/lib%{name}engine.a
%{_libdir}/lib%{name}engine.la
%{_libdir}/%{name}/engines/*.a
%{_libdir}/%{name}/engines/*.la



%changelog
* Sat Mar 15 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-2mdv2008.1
+ Revision: 188095
- Fix #37450 (random crashes) by applying upstream patches

* Fri Mar 07 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 181127
- New version 0.7.2

* Mon Feb 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-0.20080210.1mdv2008.1
+ Revision: 172311
- Update to git master for new compiz

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 19 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-0.20071018.3mdv2008.1
+ Revision: 100101
- Update snapshot from 0.6.0 branch for compiz 0.6.2

* Mon Oct 15 2007 Funda Wang <fundawang@mandriva.org> 0.5.2-3mdv2008.1
+ Revision: 98730
- obsoletes old devel package

* Mon Oct 01 2007 Olivier Blin <oblin@mandriva.com> 0.5.2-2mdv2008.0
+ Revision: 94103
- use same categories as ccsm in desktop file (#34251)

* Mon Aug 13 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 62616
- Official Release: 0.5.2

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.3.0-0.20070801.1mdv2008.0
+ Revision: 57840
- Updated snapshot

* Sun Jul 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.3.0-0.20070627.1mdv2008.0
+ Revision: 49647
- Provide compiz-decorator
- New Snapshot for Compiz Fusion

* Thu Jun 14 2007 Funda Wang <fundawang@mandriva.org> 0.2.1-1mdv2008.0
+ Revision: 39233
- Merge Fedora patch to build against latest libwnck
- New version

* Thu May 24 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.0-2mdv2008.0
+ Revision: 30459
- Fix #MDV30991 - Add a MIME type definition for x-emerald-theme


* Thu Mar 15 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.0-1mdv2007.1
+ Revision: 143949
- New Version: 0.2.0

* Wed Feb 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.2-1mdv2007.1
+ Revision: 120684
- New Release Candidate 0.1.9999.2 (RC2)
- Tidy up BuildRequires due to beryl-core-devel changes

* Sat Feb 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.1-1mdv2007.1
+ Revision: 116006
- New Release Candidate: RC1

* Sun Jan 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.99.2-1mdv2007.1
+ Revision: 111377
- New version 0.2.0 Beta 2

* Sat Dec 30 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.4-1mdv2007.1
+ Revision: 102815
- New Release: 0.1.4

* Sun Dec 10 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.3-1mdv2007.1
+ Revision: 94467
- Specfile cleanup
- The official 0.1.3

  + Sébastien Savarin <plouf@mandriva.org>
    - New rev 0.1.3

* Thu Dec 07 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-3mdv2007.1
+ Revision: 91882
- Fix strange dependencies (#27358)
- Correct use of %%mklibname

* Mon Nov 20 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-2mdv2007.1
+ Revision: 85662
- Bump release (forgot in last commit)
- More minor spec cleanup
- Spec file cleanup

* Wed Nov 08 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-1mdv2007.1
+ Revision: 78075
- New Release 0.1.2

* Wed Oct 25 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-2mdv2007.0
+ Revision: 72139
- Correct the version requirement on beryl-core-devel
- Require correct version of beryl-core-devel

  + Sébastien Savarin <plouf@mandriva.org>
    - New revision 0.1.1

* Thu Oct 19 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-6mdv2007.0
+ Revision: 66092
- YAR - Yet Another Rebuild
- Build also requires desktop-file-utils
- Rebuild
- Bump revision
- More build requires fixes.
- Fix build requires (intltool)
- Proper handling of Provides/Obsoletes for package renames
- First release of Emerald
- Cgwd becomes Emerald
- Fix BuildRequires from automated reports
- Fix menus

* Tue Sep 19 2006 Colin Guthrie <cguthrie@mandriva.org> 0.69-1mdv2007.0
+ Revision: 61818
- Latest version

* Mon Sep 18 2006 Colin Guthrie <cguthrie@mandriva.org> 0.53-0.060818.6mdv2007.0
+ Revision: 61781
- Fix BuildRequires (to fix x86_64 build)

* Sun Sep 17 2006 Colin Guthrie <cguthrie@mandriva.org> 0.53-0.060818.5mdv2007.0
+ Revision: 61736
- Fix buildrequires
- Correct release
- Fix lib package to include individial engine libraries (#24619)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add buildrequires

* Fri Aug 25 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.53-0.060818.4mdv2007.0
+ Revision: 57834
- Add buildrequires

* Fri Aug 25 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.53-0.060818.3mdv2007.0
+ Revision: 57822
- Increanse release
- Fix group

* Sun Aug 20 2006 Sébastien Savarin <plouf@mandriva.org> 0.53-0.060818.2mdv2007.0
+ Revision: 56849
- fix schemas error

* Sat Aug 19 2006 Sébastien Savarin <plouf@mandriva.org> 0.53-0.060818.1mdv2007.0
+ Revision: 56736
- add forgotten files
-use snapshot and mime database macros

* Fri Aug 18 2006 Sébastien Savarin <plouf@mandriva.org> 0.52-1mdv2007.0
+ Revision: 56573
-split package
- Import cgwd

